<?php
$file_accumulation = 'accumulation.txt';
$handle = fopen($file_accumulation, 'c+'); // Open the file for reading and writing, create if not exists

if (flock($handle, LOCK_EX)) { // Acquire an exclusive lock
    // Read the content of the file
    // Move the file pointer to the beginning of the file
    //echo filesize($file_accumulation);
    $accumulation = fread($handle, filesize($file_accumulation));
    
    // Move the file pointer to the beginning of the file
    ftruncate($handle, 0);
    rewind($handle);

    $n = $_POST["n"];
    //$n = 2;
    // add n
    $accumulation += $n;
    //sleep(3);
    // Write new content to the file
    fwrite($handle, $accumulation);

    // Release the lock
    flock($handle, LOCK_UN);
} else {
 //   echo "Couldn't get the lock!";
}
fclose($handle);

// If experiment is running, then also increase/decrease the cumulative counts. 
$file_running = 'exp_running.txt';
$running = file_get_contents($file_running);

if ($running == 1){
    echo "running";
    $reason = $_POST["reason"];
    if ($reason == "entry" or $reason == "entry_correction") {
        $file_cum_in = 'cum_in.txt';
        $cum_in = file_get_contents($file_cum_in) + $n;
        file_put_contents($file_cum_in, $cum_in);
    }
    if ($reason == "exit" or $reason == "exit_correction") {
        $file_cum_out = 'cum_out.txt';
        $cum_out = file_get_contents($file_cum_out) - $n; // minus because 1 exit decreases accumulation, increases cum outflow
        file_put_contents($file_cum_out, $cum_out);
    }
}

$datetime = new DateTime('now', new DateTimeZone('Europe/Amsterdam'));
$dateString = $datetime->format('Ymd\THis.u');

file_put_contents("record.txt",  "\n".$dateString.",".$reason.",".$n.",".$accumulation, FILE_APPEND);

echo $accumulation
?>

