<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accumulation counter -- exit </title>
    <link rel="stylesheet" href="MFDcount.css">
</head>

<body>

<div class="top">
<div class="running">Experiment <span id="no">-</span> is <span id="running">stopped</span>.</div>
<div>Time: <span id="time">--:--</span></div>
</div>

<div class="bottom">
<div class="accumulation" id="cumulative_outflow">-</div>
<p>
<button class="count-button-exit" id="button_plus" type="button" onclick="add(-1,'exit')">
    <img src="fig/exit.svg">
</button>
</p>
<div class="accumulation" id="accumulation">-</div>
<p>
  <button class="correction-button" id="button_minus" type="button" onclick="add(1,'exit_correction')">Correction</button>
</p>
</div>


<script>
function add(n,reason) {
  const xhttp = new XMLHttpRequest();
  xhttp.onload = function() {
    getStatus()
  }
  xhttp.open("POST", "add.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("n=".concat(String(n),"&reason=",reason));
}

function getStatus() {
  const xhttp = new XMLHttpRequest();
  xhttp.onload = function() {
    if (xhttp.status === 200) {
      // Parse the JSON response
      var response = JSON.parse(xhttp.responseText);

      // Handle the JSON response
      document.getElementById("cumulative_outflow").innerHTML = "Cumulative outflow: ".concat(response.cum_out);
      document.getElementById("accumulation").innerHTML = "Accumulation: ".concat(response.accumulation);
      document.getElementById("running").innerHTML = response.running;
      document.getElementById("no").innerHTML = response.no;
    } else {
        console.error('Error fetching data');
    }

    document.getElementById("time").innerHTML = response.runtime;

    //document.getElementById("accumulation").innerHTML =
    //this.responseText;
  }
  //xhttp.open("GET", "get_count.php");
  //xhttp.send();
  xhttp.open("POST", "get_status.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send();
}

// Poll state every 100 ms
var statusWatch = setInterval("getStatus()",100);

//To abort the interval you can use this:
//clearInterval(statusWatch);
</script>

</body>
</html>
