<?php
// Directory containing the images
$directory = 'images';

// Get all JPG files in the directory
$files = glob($directory . '/*.jpg');

// Sort the files alphabetically
natsort($files);

// Generate HTML output
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Results</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="gallery">
        <?php foreach ($files as $file): ?>
            <div class="image-container">
                <img src="<?php echo htmlspecialchars($file); ?>" alt="Image">
            </div>
        <?php endforeach; ?>
    </div>
</body>
</html>
 
