function [routes S]=makeRoutes()
fluct_route_length=[12]; %how many stops on average
nexpt=numel(fluct_route_length);%number of experiments (one could change the diffrent route lengths)
nroutes=50;%number of different routes
routes=cell(nexpt,nroutes);%what are these routes
S=cell(nexpt,nroutes);%matrix of route strings
probs=0.25*ones(4);%probability to go from one stool to another, initialize with 0.25
probs=probs-0.25*eye(4);%you will not remain at the same stool, so 0 on the diagonal
probs(2,3)=0.5;probs(3,2)=0.5;%and the diagonals get 0.5 probability (and hence 25% to each of the next neighbor sides)
probs(1,4)=0.5;probs(4,1)=0.5;
cumprobs=cumsum(probs,2);
for(experiment=1:nexpt)%for all experiments
    for(routenr=1:nroutes)%for all routes


        LR=round(fluct_route_length(experiment))+ceil(randi(fluct_route_length(experiment)));%route length: base + fluctuation
        %first give a starting position: 3 or 4
        routes{experiment,routenr}=randi(2)+2;
        while((length(routes{experiment,routenr})<LR))%while the route should be extended
            routes{experiment,routenr}(end+1)=find((cumprobs(routes{experiment,routenr}(end),:))>rand,1,'first');%extend with a number based on the transition probabilities
        end
        S{experiment,routenr}=routeString(routes{experiment,routenr},experiment,routenr);%make it the appropriate string for the LaTeX code
    end
end




